View Issue Details

IDProjectCategoryView StatusLast Update
0000652FakturamaAllgemein (General)public2019-01-27 00:46
Reporterrheydenr Assigned Torheydenr  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.0.0 
Target Version2.0.4Fixed in Version2.0.4 
Summary0000652: Verbindung zu MySQL sollte per SSL möglich sein
Description

Derzeit erfolgt die Verbindung zu MySQL unverschlüsselt. Das ist besonders bei externen Verbindungen ein Sicherheitsrisiko und sollte geändert werden. Es ist zu prüfen, welche Maßnahmen hier seitens Fakturama erforderlich sind, damit die DB-Kommunikation über eine SSL-Verbindung läuft.

Additional Information

siehe dazu https://www.thomas-krenn.com/de/wiki/MySQL_Verbindungen_mit_SSL_verschl%C3%BCsseln

TagsNo tags attached.

Activities

rheydenr

2019-01-27 00:46

administrator   ~0000860

Hier muß bei Fakturama selbst gar nichts getan werden. Das ist rein Infrastruktur. Eine entsprechende Anleitung befindet sich unter. https://bitbucket.org/fakturamadev/fakturama-2/raw/develop/Fakturama-Parent/org.fakturama.help/howto/mysql/ssl4mysql.md.

Issue History

Date Modified Username Field Change
2018-02-09 09:42 rheydenr New Issue
2018-02-09 09:42 rheydenr Status new => assigned
2018-02-09 09:42 rheydenr Assigned To => rheydenr
2018-02-09 13:25 rheydenr Additional Information Updated View Revisions
2018-05-23 00:54 rheydenr Target Version 2.0.2 => 2.0.3
2018-06-29 11:33 rheydenr Target Version 2.0.3 => 2.4.0
2018-06-29 11:34 rheydenr Target Version 2.4.0 => 2.0.4
2019-01-27 00:46 rheydenr Status assigned => resolved
2019-01-27 00:46 rheydenr Resolution open => fixed
2019-01-27 00:46 rheydenr Fixed in Version => 2.0.4
2019-01-27 00:46 rheydenr Note Added: 0000860